## linda 0.2.23

=== Makefile ===
DESTDIR=""
VERSION := $(shell head -1 debian/changelog | cut -d\( -f2 | cut -d\) -f1)

install:
	install -d -m 755 $(DESTDIR)/usr/bin
	install -d -m 755 $(DESTDIR)/usr/lib/site-python/linda
	install -d -m 755 $(DESTDIR)/usr/share/linda/checks
	install -d -m 755 $(DESTDIR)/usr/share/linda/desc
	install -d -m 755 $(DESTDIR)/usr/share/linda/overrides
	install -d -m 755 $(DESTDIR)/usr/share/linda/output
	install -m 755 linda $(DESTDIR)/usr/bin
	install -m 644 *py $(DESTDIR)/usr/lib/site-python/linda
	cat parser.py | sed -e 's/VERSION/$(VERSION)/' > \
	$(DESTDIR)/usr/lib/site-python/linda/parser.py
	install -m 644 checks/*py $(DESTDIR)/usr/share/linda/checks
	$(MAKE) -C desc/po $@
	install -m 644 output/*.py $(DESTDIR)/usr/share/linda/output

clean:
	find . -name '*.py?' -o -name '.#*' -o -name '.*.swp' | xargs $(RM) -v
	$(MAKE) -C po $@

distclean: clean
	$(MAKE) -C po $@
