=== desc/po/Makefile ===
intltool := "/usr/share/intltool-debian/intltool-"

generate:
	for i in ../*.desc ; do \
	$(intltool)extract --update \
	--type=gettext/rfc822deb $$i; done
	xgettext --output=linda-desc.pot --keyword=N_ ../*.desc.h
	$(RM) ../*.desc.h

install: generate
	for i in ../*.desc ; do \
	j=$$(echo $$i | cut -d/ -f2); \
	$(intltool)merge -r $(CURDIR) $$i \
	$(DESTDIR)/usr/share/linda/desc/$$j ; done
