=== debian/changelog ===
linda (0.2.23) unstable; urgency=low

  * Also comment out the if block for exec-not-elf-or-script check.
    (Closes: #216607)

 -- Steve Kowalik <stevenk@debian.org>  Mon, 20 Oct 2003 10:16:32 +1000

linda (0.2.22) unstable; urgency=low

  * Translations:
    - Update PO files.
    - Update Catalan translation.
  * Fix typo in the manual page. (Closes: #210323)
  * Fix a spelling error in perl.desc. (Closes: #214409)
  * Files Check:
    - Fix false positive looking for CVS directories. (Closes: #216350)
    - Since file has found it fitting to stop telling which files are what
      kind of scripts, disable exec-not-elf-or-script check.
      (Closes: #213665, #215800)

 -- Steve Kowalik <stevenk@debian.org>  Sun, 19 Oct 2003 17:24:04 +1000

linda (0.2.21) unstable; urgency=low

  * Control Parsing:
    - Strip whitespace from the RHS of parsed lines. (thanks, Adam Conrad)
  * Options:
    - Kill the -s option, it really served no useful purpose.
      (Closes: #207591)
  * Debconf Check:
    - Actually reference a string to check. (Closes: #206985)

 -- Steve Kowalik <stevenk@debian.org>  Mon,  1 Sep 2003 17:42:12 +1000

linda (0.2.20) unstable; urgency=low

  * StandardsVersion Check:
    - Policy 3.6.1 has been uploaded.
  * Update to Standards-Version 3.6.1; no changes needed.

 -- Steve Kowalik <stevenk@debian.org>  Sat, 23 Aug 2003 17:27:43 +1000

linda (0.2.19) unstable; urgency=low

  * Also {Build-,}Depend on python (<< 2.4). (Closes: #205279)
  * .desc parsing:
    - Only delete the last entry if it's empty. (Closes: #197260)
  * Debconf Check:
    - Ignore case when looking for the Description header in debian/templates
      files. (Closes: #202624)
  * Files Check:
    - Bitch about CVS and .svn directories contained in packages.
      (Closes: #189779)
    - Ooops. Use the correct variable for common.control.

 -- Steve Kowalik <stevenk@debian.org>  Thu, 14 Aug 2003 21:08:31 +1000

linda (0.2.18) unstable; urgency=low

  * Fix FTBFS by using /usr/share/intltool-debian/intltool-{extract,merge}
    instead.
  * Jump to using python 2.3.
    - Stop Depending on, and using optik, and use optparse instead.
      (Closes: #204911)
  * Also exclude .svn directories from the doc copy.

 -- Steve Kowalik <stevenk@debian.org>  Tue, 12 Aug 2003 11:33:12 +1000

linda (0.2.17) unstable; urgency=low

  * Standards Version Check:
    - Policy 3.6.0 is now valid. 

 -- Steve Kowalik <stevenk@debian.org>  Thu, 10 Jul 2003 17:52:15 +1000

linda (0.2.16) unstable; urgency=low

  * Unpacking:
    - Rewrite level 2 source unpacking.
      + This also (unintentionally) fixes a bug that you can't unpack
        tarballs with +'s in the directory name. (Closes: #200326)
  * Binary Check:
    - Rename the first of 2 unstripped-binary to not-quite-stripped-binary.
  * Changes Check:
    - Rename unknown-component to unknown-component-changes.
  * Control Check:
    - Change the maintainer e-mail address regex. (Closes: #178764)
  * UDebBinary Check:
    - Move pkg-should-be-arch-any to udeb-pkg-should-be-arch-any.

 -- Steve Kowalik <stevenk@debian.org>  Tue,  8 Jul 2003 15:24:51 +1000

linda (0.2.15) unstable; urgency=low

  * The "Hrm. Motivation? What's that mean?" release.
  * Unpacking, Checking and VersionCompare classes:
    - Just pass for the exceptions.
  * Unpacking:
    - Stop referencing base_dir. (Closes: #199139) (thanks, Tommi Virtanen) 
  * Binary Check:
    - Tighten the regex for debug packages. Again. (Closes: #182032) (Again)
    - Ignore gcc-lib files, they're internal. (Closes: #191744)
  * ControlFiles Check:
    - Skip on lines that start with comments, or contain 'echo' or 'printf'.
      Better ways to do this that don't involve a 30 character regex are of
      course welcome. (Closes: #192301)
  * Debconf Check:
    - Ignore commented out lines in maintainer scripts. (Closes: #191256)
  * Debhelper Check:
    - Assume that Build-Depending on cdbs is enough to pull in debhelper.
      (Closes: #195565)
    - Rewrite part of this check to use a dict rather than 6 variables, and
      fix up some ifs to be boolean.
    - Further rewrite part of this check to use make -nf rather than parse
      the makefile by hand. (thanks, Bastian Kleineidam)

 -- Steve Kowalik <stevenk@debian.org>  Sat, 28 Jun 2003 22:36:34 +1000

linda (0.2.14) unstable; urgency=low

  * StandardsVersion Check:
    - Handle 3.5.10. 

 -- Steve Kowalik <stevenk@debian.org>  Sat, 17 May 2003 23:27:06 +1000

linda (0.2.13) unstable; urgency=low

  * Common functions:
    - Whoops. Add kde section to aps_not_vaild. (Closes: #192544) 

 -- Steve Kowalik <stevenk@debian.org>  Fri,  9 May 2003 11:02:03 +1000

linda (0.2.12) unstable; urgency=low

  * Common functions:
    - Add the 6 new sections to aps_not_valid. (thanks, James Troup)
  * Changes and Control Check:
    - Update long description to list new sections.
  * Files Check:
    - Add missing brackets. (Closes: #189829)

 -- Steve Kowalik <stevenk@debian.org>  Fri,  2 May 2003 18:18:51 +1000

linda (0.2.11) unstable; urgency=low

  * Documentation Check:
    - Fix slight bug in my regex for manpage directories. (Closes: #189678) 

 -- Steve Kowalik <stevenk@debian.org>  Sun, 20 Apr 2003 01:10:23 +1000

linda (0.2.10) unstable; urgency=low

  * The "brown-paper bag" release.
  * Binary Check:
    - Add the missing closing bracket.
  * ControlFiles Check:
    - Allow whitespace before (/var)/tmp.
  * Changelog Check:
    - Define urgency.
  * Files Check:
    - Rewrite the GPL blurb text.

 -- Steve Kowalik <stevenk@debian.org>  Sat, 19 Apr 2003 00:12:02 +1000

linda (0.2.9) unstable; urgency=low

  * Unpacking:
    - Remove duplicates from the list we'll run file over.
    - Little more debugging. Let's make level 3 debugging even more painful.
    - Backslash $'s before we run file.
  * Binary Check:
    - Stop looking for _g in the unstripped "debugging" binary.
      (Closes: #182032)
  * Changelog Check:

