=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	rm -rf build-stamp install-stamp
	rm -f debian/copyright
	$(MAKE) clean
	dh_clean

install: build-stamp install-stamp
install-stamp:
	$(MAKE) install DESTDIR="$(CURDIR)/debian/linda"
	ln -s $(CURDIR)/copyright $(CURDIR)/debian/copyright
	$(MAKE) -C po install DESTDIR="$(CURDIR)/debian/linda"
	touch install-stamp

binary-indep: build install
	dh_testroot
	dh_installdirs
	dh_installdocs -XCVS -X.svn
	dh_installman
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary install
