=== debian/changelog ===
linda (0.3.4ubuntu1) warty; urgency=low

  * Drop Build-Depends: figlet to let figlet move to universe.
  * Do not run figlet unit test.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 06 Oct 2004 07:53:32 +0200

linda (0.3.4) unstable; urgency=low

  * Checker:
    - Stop Checker being instantiated for every file. Instantiate it once, 
      and call a check function for every file. Move data_files from a local
      function to a class variable, and stop it being overwritten every time.
      This preserves the seen flag for long description, meaning they only get
      shown once. (Closes: #182033)
  * Control Parser:
    - Put the original line into the hash, with an -orig suffix.
  * Command-line parser:
    - Accept -I, --informational as an argument, and print a note rather than
      dying a messy death with a 24 line usage message. (Closes: #233879)
    - Add a new argument: -P or --profiling that prints out some profiling
      stats on exit.
  * RFC822 Parser:
    - Count the number of empty stanzas we encounter.
  * Test Suite:
    - Fix a small issue in three test cases that were leaving files in TMPDIR.
  * Changelog Check:
    - Check that we are dealing with a link first, and only if we aren't
      check that the changelog isn't compressed. (Closes: #252708)
  * Debconf Check:
    - Implement the versioned debconf dependancy check. (Closes: #180643)
    - Warn about the number of empty stanzas in the templates file.
      (Closes: #230708)
  * Debhelper Check:
    - Don't just parse commands out of the binary targets and its 
      dependencies in debian/rules, now look everywhere, since that's where 
      debhelper might be hiding. (Closes: #252158)
  * Documentation Check:
    - Don't try and read a manpage that is a symlink.
  * Example Files Check:
    - Tighten the regular expression for dh-make example files.
      (Closes: #250199)
  * Files Check:
    - Don't try and stat the mtime of a symlink.
    - Correctly check for a symlink when checking the permissions of a file.
      (Closes: #251384, #255273)
  * UDebControl Check:
    - Complain if the Depends or Recommends field contains a pipe symbol.
      (Closes: #231292)
  
 -- Steve Kowalik <stevenk@debian.org>  Fri, 25 Jun 2004 17:25:11 +1000

linda (0.3.3) unstable; urgency=low

  * Files Check:
    - Actually call the README.Debian tests.
    - Check for files which are considered too old. (Closes: #204800)
  * Parsers:
    - Write a robust parser to replace file_to_{packagename,version}.
      (Closes: #230986)
  * Tests:
    - Write a test case that checks the keys in the checks files versus what is
      contained in the data files and the po files. (Closes: #247710)
    - Also fix PrintErrors to not die when the tag doesn't exist in the data file.
    - Also write a test case for Output.
  * Translation:
    - Fix some typos in the English po file. (Closes: #248031)
      (thanks, Florian Ernst)
    - Update the German po file. (Closes: #247693) (thanks, Florian Ernst)
  
 -- Steve Kowalik <stevenk@debian.org>  Tue, 18 May 2004 22:57:21 +1000

linda (0.3.2) unstable; urgency=low

  * Remove a stray arch file. (Closes: #245775)
  * Dependancies:
    - Remove groff-base, and add man-db to Depends and Build-Depends.
      (Closes: #246768)
  * Control Parser:
    - Accept whitespace after the left paren for specifying a version.
  * Binary Check:
    - Don't special case filenames which contain '/lib/modules', instead 
      don't complain about ELF LSB relocatables for binary-note-or-comment,
      binary-libc6, unstripped-binary, and shared-binary. (Closes: #245890)
    - Drop pkg-should-be-arch-all. It is extremly difficult to correctly
      determine if a package should be Architecture: all.
      (Closes: #245888, #246761)
  * DpkgVer:
    - Deal with comparing non-native and native versions. (Closes: #223021)
    - Implement .is_native() method.
  * Overrides:
    - Deal with data that is thrown to a regex that isn't a string.
      (Closes: #246400)
  * CDBS Check:
    - 'include /usr/share/cdbs' will never be in any CDBS-using rules file,
      correct the check. (Closes: #245885)
  * Changelog Check:
    - Warn when we switch from native to non-native version numbers, or the
      converse.
  * Control Check:
    - Warn about packages that listed in both Depends or either of Suggests
      or Recommends. (Closes: #235354)
  * Debhelper Check:
    - Deal with debian/rules files that don't contain a binary target.
      (Closes: #246287)
    - Don't complain about non-use of debhelper if we find the cdbs
      debhelper.mk include in debian/rules.
    - Don't (incorrectly) look for a dependancy on cdbs when looking for
      debhelper's version. (Closes: #246400)
  * Documentation Check:
    - Actually put whatis-parse-failed-on-manpage in the data file.
    - Don't strip off '.[0-9]' for binary files. (Closes: #245776, #246785)
    - Deal with manual pages that aren't just section 3, such as section 3pm.
      (Closes: #246012)
  * Library Check:
    - Put a stop to section-not-libs and package-not-start-libs being so
      damn overzealous. (Closes: #245892, #246018, #246786)
  
 -- Steve Kowalik <stevenk@debian.org>  Mon,  3 May 2004 23:09:46 +1000

linda (0.3.1) unstable; urgency=low

  * Building:
    - Put figlet, groff-base, file in the Build-Depends, since passing the
      test suite is required for building. (Closes: #245407)
    - Stop .arch-ids being installed.
  * Checker:
    - Actually deal with being thrown .changes files. (Closes: #245316)
    - Don't add tarballs to the file list.
  * Output:
    - Bend the long description to our nefarious purposes by means of the
      dynamic duo of join and map.
  * Binary Check:
    - Ignore files who files contain '/lib/modules' in their path for 
      unstripped-binary, binary-libc6 and shared-binary. (Closes: #205883)
    - Also ignore files that contain '/lib/modules' in their path for
      binary-note-or-comment.

