## linda 0.3.8ubuntu2

=== Makefile ===
--- 
+++ 
@@ -32,3 +32,4 @@
 distclean: clean
 	$(MAKE) -C po $@
 
+.PHONY: install test clean distclean
