=== debian/changelog ===
linda (0.3.8ubuntu2) hoary; urgency=low

  * Conditionally import the profile module (closes: #294522, Ubuntu #6401).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2005 13:47:27 +0100

linda (0.3.8ubuntu1) hoary; urgency=low

  * Resync with Debian (only python2.3->2.4 transition remains.)

 -- LaMont Jones <lamont@canonical.com>  Wed,  5 Jan 2005 18:37:00 -0700

linda (0.3.8) unstable; urgency=high

  * Checker:
    - Add missing self to error printing call. (Closes: #279021)
  * Collector:
    - Deal with hard links. (Closes: #276169)
  * Command line parser:
    - -c is used to specify a file and not a directory.
  * Common functions:
    - iterate_dir did not add symlinks to files that don't exist, which may
      happen from time to time.
  * Config file Parser:
    - Allow types to be specified in the config file.
  * Control Parser:
    - Deal with broken control files that have lines ending with a comma and
      lines that don't contain a comma. Of course packages that contain
      broken control files are all the package checkers fault.
      (Closes: #276161)
    - Actually split on space in the control parser. (Closes: #281211)
  * Override Parser:
    - Tell which file is badly-formed. (Closes: #282377)
  * Packaging:
    - Kill figlet from Build-Depends and drop the Recommends to Suggests.
      Linda now checks for the existance of the figlet command before 
      using it, and figlet is not required for passing the testsuite, due
      to figlet being moved to non-free.
      (thanks, Steve Langasek)
  * RFC822 Parser:
    - Deal with lines that don't have whitespace after the first colon.
      (Closes: #276166)
  * Testsuite:
    - Compare the number of arguments a check passes, as opposed to how many
      arguments the short description is expecting. (Closes: #276171, #276179)
    - Make the testsuite a little more robust if one of the tests that 
      chdir()'s fails.
  * Translations:
    - Update Catalan po file. (thanks, Jordi Mallach)
  * Unpacking:
    - Catch the potiental ExtCmdException that will be thrown if patch fails.
    - Deal with the situation that unpacking an orig tarball that contains
      one top-level item that isn't a directory. (Closes: #275174)
    - Notice that shutil.move can't deal with moving a directory into another
      directory and switch to using os.rename. (Closes: #276170)
  * Changelog Check:
    - Deal with package names that contain a +. (Closes: #276176, #279628)
    - Remove a debug print to avoid a FutureWarning caused by gzip.
  * ConfigFile Check:
    - Don't complain if a symlink isn't listed in control/conffiles.
      (Closes: #272873)
  * Debhelper Check:
    - Complain if dh_python is used without a python-dev build dependancy.
      (Closes: #278291)
  * Documentation Check:
    - Fix the long description for no-manual-for-binary. (Closes: #277433)
    - Check that devhelp files actually exist where they are expected to be.
      (Closes: #273310)
  * ExampleFiles Check:
    - Don't match if the next char after 'debian/ex' is a word char.
      (Closes: #282188)
    - Only bitch if the file is really 'debian/files'. (Closes: #282389)
  * Files Check:
    - Rewrite the descriptions for vercon-dir-in-package. Also, print out a
      pretty representation of which tool we think created the directory.
      (thanks, Angus Lees)
    - Downgrade usr-lib-in-arch-all to a Warning. You know, the point of a
      package checker is warn about things it thinks are broken, *not*
      to sprinkle hard-coded exceptions throughout the code.
      (Closes: #279626)
  * Shebang Check:
    - If the regex to find a shebang line doesn't find anything, deal, and
      don't just blindly use the sre object. (Closes: #276168)
  
 -- Steve Kowalik <stevenk@debian.org>  Wed,  8 Dec 2004 12:49:15 +1100

linda (0.3.7ubuntu3) hoary; urgency=low

  * Build for python2.4

 -- Matthias Klose <m@klose.in-berlin.de>  Thu, 16 Dec 2004 09:48:02 +0100

linda (0.3.7ubuntu2) hoary; urgency=low

  * Undo wrong merge from resynchronisation (closes: #4145).

 -- Matthias Klose <m@klose.in-berlin.de>  Fri,  3 Dec 2004 00:01:15 +0000

linda (0.3.7ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 20:10:05 +0100

  linda (0.3.7) unstable; urgency=high
  
    * Collector:

linda (0.3.7) unstable; urgency=high

  * Collector:
    - Sigh. Collector has stupidly assumed that filenames don't contain 
      spaces. Rewrite the binary parse method to deal with files that contain
      or start with a space. (Closes: #270325, #271518)
  * Control Parser:
    - Start attempting to catch errors during the parsing of a control file,
      so that we can say what went wrong, rather than dying with a large
      traceback. (Closes: #268863)
  * Changelog Check:
    - Fix typo in the long description of next-ver-less-than-prev.
      (thanks, Jean-Luc Coulon)
  * Control Check:
    - Rename char-forbidden-rfc822 to dangerous-char-in-control.
      (Closes: #270132)
  * Copyright Check:
    - Move probable-dh-make-template from files.data to where it belongs in
      copyright.data. (Closes: #269353)
  * Unpacking:
    - Stop importing (and using) traceback.
  
 -- Steve Kowalik <stevenk@debian.org>  Sat, 18 Sep 2004 12:54:22 +1000

linda (0.3.6) unstable; urgency=low

  * Control Check:
    - Section is now an array, so don't check it as a string.
      (Closes: #265731)

 -- Steve Kowalik <stevenk@debian.org>  Wed, 25 Aug 2004 13:10:59 +1000

linda (0.3.5) unstable; urgency=low

  * ErrDicts:
    - Implement a .clear() method.
  * Changelog Check:
    - Deal with packages that contain both a changelog.gz and a 
      changelog.Debian.gz WRT wrong-changelog-name. (Closes: #263577)
  * Control Check:
    - Accept underscores in the first part of a mail address.
      (Closes: #261428)
  * Documentation Check:
    - Warn if only a non-English manual page is present. (Closes: #259225)

