=== debian/control ===
Source: linda
Priority: optional
Section: devel
Maintainer: Steve Kowalik <stevenk@debian.org>
Build-Depends-Indep: python (>= 2.4), python (<< 2.5), debhelper (>= 4.2.28), file, dash, man-db
Standards-Version: 3.6.1

Package: linda
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), binutils, file, dash, man-db
Recommends: debian-policy
Suggests: binutils-multiarch, figlet
Provides: lintian-python
Conflicts: file (= 4.04)
Description: Debian package checker, not unlike lintian
 Linda is a Debian package checker, much like lintian, that
 runs some rudimentary checks over source and binary packages
 to see if they comply to Policy.
