## linda 0.3.13.sarge.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DESTDIR=""
-VERSION := $(shell head -1 debian/changelog | cut -d\( -f2 | cut -d\) -f1)
+VERSION := $(shell head -n 1 debian/changelog | cut -d\( -f2 | cut -d\) -f1)
 
 install:
 	install -d -m 755 $(DESTDIR)/usr/bin
