=== po/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 POFILES =  $(wildcard *.po)
 MOFILES =  $(patsubst %.po,%.mo,$(POFILES))
 
-POTFILES = ../linda ../*.py ../checks/*.py
+POTFILES = ../linda ../*.py ../checks/*.py ../parser/*.py ../output/*.py
 
 all: $(PACKAGE).pot $(MOFILES)
