=== debian/changelog ===
linda (0.3.13.sarge.1) testing-proposed-updates; urgency=medium

  * Command-line arguments:
    - Add -S, which doesn't drop root privledges when running as root.
  * Testsuite:
    - Call linda with -S in the endtoend tests. (Closes: #307183)

 -- Steve Kowalik <stevenk@debian.org>  Sun, 15 May 2005 23:05:54 +1000

linda (0.3.13) unstable; urgency=low

  * Packaging:
    - Build-Depend on python, as opposed to python >= 2.31, << 2.4.
    - Convert changelog to proper UTF8.
  * MenuParser:
    - Deal with lines that don't contain a field. (Closes: #303530)
      (thanks, Lars Wirzenius)
  * Checks:
    - Print out a traceback if -T is specified and a check is interrupted.
  * ChangelogCheck:
    - Don't complain about HTML only changelog if changelog{.gz,} exists.
      (Closes: #297750)
  * DocumentationCheck:
    - Don't overzealously split off extensions, and don't split off 
      multiple number extensions for manual pages.
      (Closes: #303134, #303644, #303783)
  * MenuCheck:
    - Deal with commands that contain arguments.
    - Complain about unknown or top-level sections.

 -- Steve Kowalik <stevenk@debian.org>  Sun, 10 Apr 2005 12:09:42 +1000

linda (0.3.12) unstable; urgency=low

  * Rebuild, since the tarball picked up all the svn stuff.

 -- Steve Kowalik <stevenk@debian.org>  Mon,  4 Apr 2005 10:31:28 +1000

linda (0.3.11) unstable; urgency=medium

  * Copyright:
    - Update year (finally).
  * Building:
    - Use head -n 1, not head -1 in the Makefile.
    - Switch to using dh_python.
  * Manual page:
    - Refer to data files, rather than descs.
  * ArchParser:
    - Use funcs.run_external_cmd rather than os.popen.
    - Use filter() rather than a for loop.
    - If dpkg-architecture --help doesn't give us a list of Debian arches,
      run dpkg-architecture -L instead. (thanks, Scott James Remnant)
  * CLParser:
    - Drop 'X' from the default types list.
    - Print a warning when enabling -t X. (Closes: #282838)
  * Checker:
    - Deal if a .data file doesn't exist.
  * DebianControlParser:
    - Deal with multi-line fields other than Description. (Closes: #289066)
  * MenuParser:
    - New, parses the menu format files.
  * RFC822Parser:
    - Also assume that lines only containing whitespace are blank lines, used
      to seperate stanzas.
  * UnixPermParser:
    - The function name for printing out strings is __repr__, not __str__.
  * Output:
    - Only call mygettext.translation once.
  * BinaryCheck:
    - Correct typo in shared-binary. (Closes: #300263)
    - Skip both LSB and MSB relocatables in various tests. (Closes: #301392)
    - Rewrite the message for arch-dep-in-usr-share. (Closes: #301929)
      (thanks, Adeodato Simó)
  * ChangelogCheck:
    - Don't try and find the file size of a symlink when the target may not
      exist. (Closes: #302722)
  * ControlFilesCheck:
    - Check for [[ or ]] in maintainer scripts when the interpreter isn't 
      bash. (Closes: #296239)
  * DocumentationCheck:
    - Fix the completly broken doc-base check. (Closes: #296859)
      + doc-base is the last entry in the path, not the filename.
      + The Files: field can list multiple files.
      + Don't complain that a file doesn't exist when it does just because
        it doesn't use a glob.
    - Try harder to remove extensions from the manual page filename.
      (Closes: #296860)
  * FilesCheck:
    - Don't complain about binaries under /usr/games that aren't 755.
      (Closes: #290686)
  * LibraryCheck:
    - Check that libdir in a .la file is the same as the path of the .la
      file. (thanks, Henrique de Moraes Holschuh)
  * MenuCheck:
    - New; check the menu files contained in a package.

 -- Steve Kowalik <stevenk@debian.org>  Sun,  3 Apr 2005 23:46:36 +1000

linda (0.3.10) unstable; urgency=critical

  * Linda:
    - Also shift pstats down to the new profile bit, since it is also 
      affected.

 -- Steve Kowalik <stevenk@debian.org>  Sat, 12 Feb 2005 22:38:06 +1100

linda (0.3.9) unstable; urgency=high

  * Translations:
    - Update French po file. (Closes: #269217) (thanks, Jean-Luc Coulon)
  * Unpacking:
    - Add support for source overrides. These get parsed and merged in at the
      end of level 2 source unpacking, but the only check run before that is
      standards-version. (Closes: #282381)
    - Set LANG to C when calling tar for the level two binary unpack.
      (Closes: #292670)
  * Linda:
    - Don't import profile at the same time as the rest of the modules. Only
      attempt to import it if profiling is switched on, and deal if the module
      can't be imported. (Closes: #294522)
  * Debhelper Check:
    - Check for a python build-dep as well as python-dev. (Closes: #289535)
  * Files Check:
    - Ignore files underneath /usr/lib/mime for usr-lib-in-arch-all.
      (Closes: #288801)
  * Perl Check:
    - Stop checking against source package, and tighten the regular
      expression which decides that we are checking a perl module
      package. (thanks, Marc Brockschmidt)

 -- Steve Kowalik <stevenk@debian.org>  Fri, 11 Feb 2005 22:30:42 +1100
