=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Section: devel
 Maintainer: Steve Kowalik <stevenk@debian.org>
-Build-Depends-Indep: python (>= 2.4), python (<< 2.5), debhelper (>= 4.2.28), file, dash, man-db
+Build-Depends-Indep: python, debhelper (>= 4.0.0), file, dash, man-db
 Standards-Version: 3.6.1
 
 Package: linda
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), binutils, file, dash, man-db
+Depends: ${python:Depends}, binutils, file, dash, man-db
 Recommends: debian-policy
 Suggests: binutils-multiarch, figlet
 Provides: lintian-python
