=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#!/usr/bin/make -f
+#!/usr/bin/make -f 
 
 build: build-stamp
 build-stamp:
@@ -28,9 +28,10 @@
 binary-indep: build-stamp install-stamp test-stamp
 	dh_testroot
 	dh_installdirs
-	dh_installdocs -XCVS -X.svn -X.arch-ids
+	dh_installdocs -X.svn
 	dh_installman
 	dh_installchangelogs
+	dh_python
 	dh_compress
 	dh_fixperms
 	dh_installdeb
