## linda 0.3.15

=== debian/changelog ===
linda (0.3.15) unstable; urgency=low

  * Makefile:
    - Use dpkg-parsechangelog rather than head -n 1 debian/changelog.
  * Collector, MakefileParser:
    - Use re.compile().
  * Output:
    - It seems I can't just print a Unicode string even though I have
      declared its charset, so encode it in that charset.
      (Closes: #309884)
  * Translations:
    - Update German translation. (Closes: #314152) (thanks, Jens Seidel)
  * MenuParser:
    - Rewrite the guts of the parser to only split on known fields, which
      makes dealing with ='s in the data *much* easier to handle.
  * LibraryCheck:
    - The shlibs-sover-mismatch symlink finding code was matching on other
      filenames so append a '.' to stop that. (Closes: #313587)
  * MenuCheck:
    - Also check /usr/share/menu for menu files.
    - Complain if any menu files are installed into /usr/lib/menu.
    - Actually run the Section check.
    - Skip commands that invoke sh. (Closes: #314495)
  * StandardsVersionCheck:
    - Policy 3.6.2 has been uploaded. (Closes: #314880)

 -- Steve Kowalik <stevenk@debian.org>  Thu, 23 Jun 2005 10:02:21 +1000

linda (0.3.14) unstable; urgency=medium

  * Manual Page:
    - Actually run a spell checker over it. (*blush*)
    - Mention types overrides under OVERRIDES.
  * Error printing:
    - Complain if the tag does not exist in the data file.
  * Libchecks:
    - Print out the filename of the registered checks at debug level 4.
  * Packaging:
    - Update long Description. (Closes: #304325) (thanks, Emanuele Rocca)
    - Append the short and long descriptions to linda.pot. (Closes: #305059)
  * Command-line arguments:
    - Add -S, which doesn't drop root privledges when running as root.
  * Testsuite:
    - Call linda with -D and -S in the endtoend tests. (Closes: #307183)
  * Output:
    - Put strings grabbed from gettext into unicode strings encoded in the
      right charset. (Closes: #306047)
  * Overrides:
    - If an error doesn't pass any data, using a Data header in an override
      file made it not match, so fix that. (Closes: #306046)
  * Figlet Output:
    - Actually make it work by correcting a typo in bootstrap.
  * BinaryCheck:
    - Add [-_] to the start of checking if a package name is considered to be
      debug, and smush the checks that are affected by debug together.
      (Closes: #305930)
    - Correct the short description of stripped-binary-not.
    - Rewrite the .note and .comment check to not be so dumb.
    - Don't complain about no depends line if the package contains any ELF
      relocatables. (Closes: #308137)
  * ChangelogCheck:
    - Sprinkle in a little re.compile().
  * LibraryCheck:
    - First attempt to check shlibs control files.

 -- Steve Kowalik <stevenk@debian.org>  Sun, 15 May 2005 12:31:24 +1000
