=== debian/control ===
--- 
+++ 
@@ -16,3 +16,8 @@
  Linda is a Debian package checker, much like lintian, that
  runs some rudimentary checks over source and binary packages
  to see if they comply to Policy.
+ .
+ Linda has a greater featureset than Lintian, providing
+ (among other things) English descriptions, fully
+ translatable strings, and can print using different formats.
+
