## linda 0.3.17-0ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DESTDIR=""
-VERSION := $(shell head -n 1 debian/changelog | cut -d\( -f2 | cut -d\) -f1)
+VERSION := $(shell dpkg-parsechangelog | grep Version | cut -d' ' -f2)
 
 install:
 	install -d -m 755 $(DESTDIR)/usr/bin
@@ -22,8 +22,10 @@
 	install -m 644 output/*py $(DESTDIR)/usr/share/linda/output
 
 test:
+	install -m 644 munge_po $(DESTDIR)/usr/lib/site-python/munge_po.py
 	PYTHONPATH=$(DESTDIR)/usr/lib/site-python tests/run_tests.py
 	find . -name '*.py?' | xargs $(RM)
+	$(RM) $(DESTDIR)/usr/lib/site-python/munge_po.py
 
 clean:
 	find . -name '*.py?' -o -name '.#*' -o -name '.*.swp' | xargs $(RM)
