=== po/Makefile ===
--- 
+++ 
@@ -19,8 +19,6 @@
 INSTALL_DATA = ${INSTALL} -m 644
 MKINSTALLDIRS = ../mkinstalldirs
 
-CC = gcc
-GENCAT = gencat
 MSGFMT = /usr/bin/msgfmt --statistics
 XGETTEXT = /usr/bin/pygettext
 MSGMERGE = msgmerge
@@ -30,16 +28,12 @@
 
 POTFILES = ../linda ../*.py ../checks/*.py ../parser/*.py ../output/*.py
 
-all: $(PACKAGE).pot $(MOFILES)
+all: $(MOFILES) $(PACKAGE).pot
 
 .SUFFIXES: .po .mo
 
 .po.mo:
 	$(MSGFMT) -o $@ $<
-
-# Note: Target 'all' must not depend on target '$(srcdir)/$(PACKAGE).pot',
-# otherwise packages like GCC can not be built if only parts of the source
-# have been downloaded.
 
 $(PACKAGE).pot: $(POTFILES)
 	if test -f $(XGETTEXT); then \
@@ -48,6 +42,7 @@
 	else \
 		touch $@; \
 	fi
+	cd .. && PYTHONPATH=$(DESTDIR)/usr/lib/site-python LANGUAGE=english ./munge_po >> po/$@
 
 install: all
 	for file in $(MOFILES); do \
