=== debian/changelog ===
linda (0.3.17-0ubuntu1) dapper; urgency=low

  * Teach Linda's custom gettext routines how to find '.mo' translation
    files in Ubuntu's '/usr/share/locale-langpack' location.
    01-gettext-langpacks.diff
  * Deal with assert failure on ELFs having a slightly different signature
    in the newer build environment.
    02-elf-information.diff

 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed, 01 Mar 2006 14:13:27 +0000

linda (0.3.17) unstable; urgency=low

  * Linda:
    - Spit out running as root error to stderr.
    - Switch to using gettext.install, as well as moving the gettext
      initialisation into the modules. (Closes: #318561, #318578, #340032)
      (thanks, Joe Wreschnig)
    - As a consequence, remove debugging from mygettext, and kill 
      ourselves with exit status 5 if we can't find a .mo file on startup.
    - Document the change in meaning for exit status 5.
    - If we can't load modules, don't print out translated messages, as they
      are printed far too early for us to have correct charset information.
    - Depend on dpkg-dev. (Closes: #324674)
  * Collector:
    - If file dies, don't kill ourselves in sympathy. (Closes: #338850)
  * Funcs:
    - Rewrite run_external_cmd to use os.popen, so we can ignore stderr.
      (Closes: #336473)
    - If we fail to run a command, dprint out the problem.
  * Libchecks:
    - Rewrite transliterate, and a type of udeb should return udeb, not 
      binary. (Closes: #319746)
  * Manual Page:
    - Suck COMPARE WITH into SEE ALSO, and add dh_make(1) and debuild(1).
      (Closes: #322289)
  * Menu Parser:
    - Replace '\n' and '\' with ' '. (Closes: #325591, #326166)
  * Output:
    - Don't exit 1 if we only find warnings. (Closes: #337893)
  * Overrides:
    - Don't die a horrible death if we can't parse overrides.
    - Don't die if in-tarball overrides can't be parsed. (Closes: #339812)
  * Unpacking:
    - Don't die when we can't parse a .dsc.
    - Don't always try and mkdir the new directory, check that it doesn't
      exist first. (Closes: #338848)
  * BinaryCheck:
    - Consider files which are in a path that contains debug are meant for
      debugging. (Closes: #332746)
  * ControlCheck:
    - Remove package-b-d-on-autostar. (Closes: #327057)
    - Complain about a missing Section header in the first stanza of a
      source control file. (Closes: #322245)
  * DebhelperCheck:
    - Match python([0-9][0-9])?(-dev)?, not just python and python-dev.
      (Closes: #333514)
  * DocumentationCheck:
    - Only split off 1-8 for manual pages, not 0-9. (Closes: #319426)
  * LibraryCheck:
    - Deal with libdir's that end with a /. (Closes: #337627)
  * MenuCheck:
    - Correct typo in command-not-quoted. (Closes: #318919)
  * TruetypefontCheck:
    - New Check, thanks to Peter De Wachter. (Closes: #321775)
  * UDebBinaryCheck:
    - Correct the backward test for usr-doc-in-udeb.
  * UDebControlCheck:
    - Correct typo in section-not-di.

 -- Steve Kowalik <stevenk@debian.org>  Mon, 21 Nov 2005 22:47:38 +1100

linda (0.3.16) unstable; urgency=low

  * The "Yay for DebConf" release - all of the fixes below were done at
    DebConf5 in Helsinki.
  * ConfigFileParser:
    - Don't overwrite options that were provided on the command-line.
  * ControlParser:
    - Match on any whitespace between package name and relation in parsed
      fields.
    - Strip off whitespace and seperate brackets before trying to match.
  * Documentation:
    - Use epydoc to automatically generate some documentation.
    - Add python-epydoc to Build-Depends.
  * DpkgVersion:
    - Replace entirely with a version written by Scott James Remnant.
      (Closes: #315920) (thanks, Scott James Remnant)
  * Module, DataValidator:
    - Don't import arches in __init__, and get DataValidator to do it 
      itself.
  * Overrides:
    - Rewrote Data parsing so that it actually makes sense. (Closes: #316949) 
  * Packaging:
    - Bump Standards-Version to 3.6.2; no changes needed.
  * RFC822Parser:
    - Be able to remove the signed sections from a .changes that only has
      3 stanzas. (Closes: #316565)
  * Unpacker:
    - Fail unpacking if we can't read the tarball.
  * CDBSCheck:
    - Rewrite short description for cdbs-debhelper-build-dep-too-old.
      (Closes: #318289)
  * ChangesCheck, Udeb*Check:
    - Rewrite a few of the short or long description.
  * DpkgCheck:
    - No longer import commands.
  * FilesCheck:
    - Don't complain about ruby files under /usr/lib in an arch all package.

 -- Steve Kowalik <stevenk@debian.org>  Sun, 17 Jul 2005 16:39:02 +0300
