=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Section: devel
 Maintainer: Steve Kowalik <stevenk@debian.org>
-Build-Depends-Indep: python, debhelper (>= 4.0.0), file, dash, man-db
-Standards-Version: 3.6.1
+Build-Depends-Indep: python, debhelper (>= 4.0.0), file, dash, man-db, python-epydoc
+Standards-Version: 3.6.2
 
 Package: linda
 Architecture: all
-Depends: ${python:Depends}, binutils, file, dash, man-db
+Depends: ${python:Depends}, binutils, file, dash, man-db, dpkg-dev
 Recommends: debian-policy
 Suggests: binutils-multiarch, figlet
 Provides: lintian-python
