=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,13 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
+	patch -p0 < debian/patches/01-gettext-langpacks.diff
+	patch -p0 < debian/patches/02-elf-information.diff
 	touch $@
 
 clean:
+	-patch -p0 -R -r /dev/null < debian/patches/02-elf-information.diff
+	-patch -p0 -R -r /dev/null < debian/patches/01-gettext-langpacks.diff
 	$(RM) -r build-stamp install-stamp test-stamp
 	$(RM) debian/copyright
 	$(MAKE) $@
@@ -14,7 +18,7 @@
 	dh_clean
 
 test: test-stamp
-test-stamp: install-stamp
+test-stamp: doc-stamp
 	$(MAKE) test DESTDIR="$(CURDIR)/debian/linda"
 	touch $@
 
@@ -25,7 +29,12 @@
 	$(MAKE) -C po install DESTDIR="$(CURDIR)/debian/linda"
 	touch $@
 
-binary-indep: build-stamp install-stamp test-stamp
+doc: doc-stamp
+doc-stamp: install-stamp
+	mkdir -p $(CURDIR)/debian/linda/usr/share/doc/linda/html
+	epydoc --no-frames --help-file doc/help.html -o $(CURDIR)/debian/linda/usr/share/doc/linda/html $(CURDIR)/debian/linda/usr/lib/site-python/linda
+
+binary-indep: build-stamp install-stamp doc-stamp test-stamp
 	dh_testroot
 	dh_installdirs
 	dh_installdocs -X.svn
